Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class ResourceIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.portal.tools.resource.ResourceException
                      com.bea.portal.tools.resource.ResourceIDException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  InvalidResourceIDException

    public class ResourceIDException

extends ResourceException

Thrown if an exception occurred with a `ResourceID`.

See Also
  Serialized Form

Constructor Summary
`ResourceIDException()` Constructor.
`ResourceIDException(String message)` Constructor.
`ResourceIDException(Throwable cause)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceIDException

    public ResourceIDException()

  Constructor.

### ResourceIDException

    public ResourceIDException(String message)

  Constructor.

  Parameters
    `message` - the exception message

### ResourceIDException

    public ResourceIDException(Throwable cause)

  Constructor.

  Parameters
    `cause` - the cause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.